import {FunctionComponent, ReactElement, useEffect} from 'react';
import {shallowEqual, useDispatch} from 'react-redux';
import {useAppDispatch, useAppSelector} from '../store/hooks';
import {getUser} from '../store/users/users.slice';

const HomePage: FunctionComponent = (): ReactElement => {
	const dispatch = useAppDispatch();

	useEffect(() => {
		const token = window.sessionStorage.getItem('token');
		if (token) {
			dispatch(getUser(token));
		}
	});
	return (
		<div className="bg-gray-50 dark:bg-gray-900 h-screen w-full container mx-auto">
			homepage
		</div>
	);
};

export default HomePage;
